Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1008242 - Review Request: gti - Just a silly launcher
Summary: Review Request: gti - Just a silly launcher
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-09-15 21:25 UTC by Benedikt Schäfer
Modified: 2014-08-28 10:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-28 10:35:31 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Benedikt Schäfer 2013-09-15 21:25:01 UTC
Spec URL: http://ib54003.fedorapeople.org/rpm/gti/f19/gti.spec
SRPM URL: http://ib54003.fedorapeople.org/rpm/gti/f19/gti-1.1.1-1.fc19.src.rpm
Description: Just a silly gti launcher, basically Inspired by sl.
Fedora Account System Username: ib54003

Comment 1 Christopher Meng 2013-09-16 00:08:17 UTC
DON'T LIFT fedora-review flag BY YOURSELF.

Comment 2 Christopher Meng 2013-09-16 00:20:54 UTC
Let's start from SPEC itself first.

1. No need to use %{name} in %summary as it will be immutable if this software sdoesn't have some mass changes, so just use gti is good(3chars vs. 7chars), what do you think?

2. Its URL is http://r-wos.org/hacks/gti, not its github url.

3. Please visit its real homepage and change your %description. Too short.

4. If no %doc present, please remove the line with %doc

BUT, you MUST request a LICENSE from upstream or include it as %doc if it's already in the tarball.

5. %{_mandir}/man6/%{name}.6.gz

Please use

%{_mandir}/man6/%{name}.6* because RPM will help compress the ungzipped manpages if your makefile doesn't do that.

Comment 3 Michael Schwendt 2013-09-16 07:23:17 UTC
Run rpmlint (or rpmlint -i for more helpful output) on the src.rpm and all
built rpms. Feel free to ignore obvious false positives in the report, but fix
anything else. Preferably add a comment here about whether/when you think what
rpmlint reports is correct or incorrect.


> 1.

%{name} is completely wrong here: gti != git


> 4.

That's not a MUST but a SHOULD:
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text


> 5.

It helps not just with uncompressed man pages, but also if the compression technique is changed. There's no immediate need to change it, it's just a hint for packagers since rpmbuild compressed man pages on-the-fly. In this case, the Makefile gzips the man page.


> %build
> make %{?_smp_mflags}

https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags
https://fedoraproject.org/wiki/Packaging:Guidelines#Debuginfo_packages

Comment 4 Christopher Meng 2013-12-14 09:49:16 UTC
ping here.

Comment 5 Christopher Meng 2013-12-19 10:55:09 UTC
NEWS?

Comment 6 Benedikt Schäfer 2014-08-07 15:07:17 UTC
Hey,

sorry i was bussy... 

Spec URL: http://ib54003.fedorapeople.org/rpm/gti/gti.spec
SRPM URL: http://ib54003.fedorapeople.org/rpm/gti/gti-1.2.0-1.fc21.src.rpm
Description: Just a silly gti launcher, basically Inspired by sl.
Fedora Account System Username: ib54003

Comment 7 Christopher Meng 2014-08-08 03:29:41 UTC
1. You'd better drop Group:Amusements/Games. Nonsense.

2. Read comment 3 carefully.

Don't erase the changelog in the past.

If you can't fix this for another long time, I will close this again.

Comment 8 Benedikt Schäfer 2014-08-08 06:19:11 UTC
- changed the GROUP to Nonsense

- contacted  Richard Wossal to provide license in source, still waiting for response

Spec URL: http://ib54003.fedorapeople.org/rpm/gti/gti.spec
SRPM URL: http://ib54003.fedorapeople.org/rpm/gti/gti-1.2.0-1.fc21.src.rpm
Description: Just a silly gti launcher, basically Inspired by sl.
Fedora Account System Username: ib54003

Comment 9 Christopher Meng 2014-08-08 06:25:16 UTC
1. I meant drop.

2. Please read Michael's comment _carefully_:

> > %build
> > make %{?_smp_mflags}
> 
> https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags
> https://fedoraproject.org/wiki/Packaging:Guidelines#Debuginfo_packages

Comment 10 Benedikt Schäfer 2014-08-08 07:18:03 UTC
%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

Spec URL: http://ib54003.fedorapeople.org/rpm/gti/gti.spec
SRPM URL: http://ib54003.fedorapeople.org/rpm/gti/gti-1.2.0-1.fc21.src.rpm
Description: Just a silly gti launcher, basically Inspired by sl.
Fedora Account System Username: ib54003

Comment 11 Christopher Meng 2014-08-08 07:58:50 UTC
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.J9j6eF
+ umask 022
+ cd /builddir/build/BUILD
+ cd gti-1.2.0
+ make -j2 'CFLAGS=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables'
gcc -o gti  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables  gti.c
strip -s gti

Debug sumbols have been stripped.

Comment 12 Benedikt Schäfer 2014-08-08 09:23:33 UTC
-nostrip.patch

https://ib54003.fedorapeople.org/rpm/gti/gti-1.2.0-nostrip.patch

Spec URL: http://ib54003.fedorapeople.org/rpm/gti/gti.spec
SRPM URL: http://ib54003.fedorapeople.org/rpm/gti/gti-1.2.0-1.fc21.src.rpm
Description: Just a silly gti launcher, basically Inspired by sl.
Fedora Account System Username: ib54003

Comment 13 Christopher Meng 2014-08-08 10:59:59 UTC
Forgot to mention, set LDFLAGS="%{?__global_ldflags}"

Comment 14 Benedikt Schäfer 2014-08-08 11:12:45 UTC
-LDFLAGS="%{?__global_ldflags}"

https://ib54003.fedorapeople.org/rpm/gti/gti-1.2.0-nostrip.patch

Spec URL: http://ib54003.fedorapeople.org/rpm/gti/gti.spec
SRPM URL: http://ib54003.fedorapeople.org/rpm/gti/gti-1.2.0-1.fc21.src.rpm
Description: Just a silly gti launcher, basically Inspired by sl.
Fedora Account System Username: ib54003

Comment 15 Christopher Meng 2014-08-09 08:10:30 UTC
PACKAGE APPROVED.

Comment 16 Benedikt Schäfer 2014-08-09 09:06:00 UTC
New Package SCM Request
=======================
Package Name: gti
Short Description: Just a silly gti launcher
Upstream URL: http://r-wos.org/hacks/gti
Owners: ib54003
Branches: f20

Comment 17 Gwyn Ciesla 2014-08-11 12:30:40 UTC
Git done (by process-git-requests).

Added f21.


Note You need to log in before you can comment on or make changes to this bug.